<html> 
<head>
	<title>Create</title>
</head>
<body>
	<h2>Page 1: Create Table and Records</h2>
	<p>This first page creates a table named "Company" and then created 5 records in the table.</p>
		<?php

			try {
			$dsn = '4D:host=localhost;port=19812;charset=UTF-8';
			$user = 'Administrator';
			$pswd = 'test';

			$db = new PDO($dsn, $user, $pswd);

		
			echo '<h3>Create Table start</h3>';
			
		//Create 1) create using a prepared statement. this just means storing SQL code in a text variable.
			$create_stmt = 'CREATE TABLE IF NOT EXISTS Company ( ' .
				'ID INT NOT NULL, ' .
				'Name VARCHAR(100), ' .
				'Address VARCHAR(200), ' .
				'City VARCHAR(50), ' .
				'State VARCHAR(2), ' .
				'Zip VARCHAR(200), ' .	
				'created TIMESTAMP, ' .
				'status BOOLEAN, ' .
				'Notes TEXT)';
			
			$db->exec($create_stmt);
			
			echo 'The following SQL statmement has been successfully executed:' . '<br>' . $create_stmt . '<br><br>' . 
			'Look back at the 4D database and you should see the new table in the structure editor.<br>';
	
			echo '<h3>Create Table end</h3>';

			echo '<h3>Create Record start</h3>';
			
			echo 'The following SQL statmements have been successfully executed: <br>';

		//setup variables to be used in some of the examples below
			$id = 3;
			$today_date = date("m/d/y");
			$status = 1;
			$notes = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi tempus pharetra justo fermentum tincidunt. Integer a felis luctus augue placerat ullamcorper eu vitae velit. Nam tincidunt lorem vel sem tincidunt vel ultricies purus pharetra. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In convallis auctor leo et sagittis. Proin libero odio, congue at volutpat non, volutpat nec urna. Duis imperdiet eleifend quam auctor mollis. Fusce sit amet arcu neque, et aliquet leo. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Etiam vel est a ipsum accumsan bibendum. Sed bibendum faucibus velit. Mauris magna turpis, sollicitudin id consectetur non, consequat non lacus. Maecenas rhoncus neque sem. Sed sagittis faucibus pulvinar. Integer non metus at erat egestas ultrices. Curabitur sit amet lacinia purus. Aenean laoreet ornare tortor molestie congue. Aliquam at justo eros, ac egestas risus. Ut ipsum lorem, venenatis eget tristique eu, fermentum sit amet augue.";
		
		//insert 1) insert with only 2 fields populated
			$add_stmt = "INSERT INTO Company (ID, Name) VALUES(1, 'Acme, Inc.')";
			$db->exec($add_stmt);
			echo $add_stmt . '<br><br>';
			
		//insert 2) insert with alternative syntax used for the ID value
			$add_stmt = "INSERT INTO Company (ID, Name) VALUES(" . 2 . ", 'Alpha Beta')";
			$db->exec($add_stmt);
			echo $add_stmt . '<br><br>';

		//insert 3) insert with another alternative syntax used for the ID value			
			$add_stmt = "INSERT INTO Company (ID, Name) VALUES($id, 'Aardvark Advocates')";
			$db->exec($add_stmt);
			echo $add_stmt . '<br><br>';

		//insert 4) insert that populates all fields, including types: Int, Varchar, Text, Boolean, and Timestamp			
			$add_stmt = "INSERT INTO Company (ID, Name, Address, City, State, Zip, created, status, notes) " .
			"VALUES (4, 'Benchmark Breakers', '1234 Back Burner Rd', 'Brooklyn', 'NY', '012345-6789', '$today_date', $status, '$notes')";
			$db->exec($add_stmt);
			echo $add_stmt . '<br><br>';

		//insert 5) insert that populates all fields, without explicitly including the field names like in example 4 above					
			$add_stmt = "INSERT INTO Company " .
			"VALUES (5, 'Coding Crackers', '5678 Cactus Circle', 'Chicago', 'IL', '98765-4321', '$today_date', $status, '$notes')";
			$db->exec($add_stmt);
			echo $add_stmt . '<br><br>';
			
			echo 'Look back at the 4D database and you should see the 5 new records in the "Company" table.' . '<br>';	
			echo '<h3>Create Record end</h3>';
			
			unset($db);
			} catch (Exception $e) {
				echo '<p style="color:red; font-weight:bold">' . 
				'The following PHP error occured: ' . $e->getMessage() . 
				'</p>';
			}
				
		?>
</body>
</html>